HVMGR(1)

NAME
hvmgr - administration utility for QDBM Hovel

SYNOPSIS
hvmgr create [-qdbm bnum dnum ] [-s] name
hvmgr store [-qdbm] [-kx] [-vx|-vf] [-insert] name key val
hvmgr delete [-qdbm] [-kx] name key
hvmgr fetch [-qdbm] [-kx] [-ox] [-n] name key
hvmgr list [-qdbm] [-ox] name
hvmgr optimize [-qdbm] name

DESCRIPTION
This manual page documents briefly the hvmgr commands.

hvmgr is a utility for debugging Hovel and its applications. It features editing and checking of a database. It can be used for database applications with shell scripts. This command is used in the above format. name specifies a database name. key specifies the key of a record. val specifies the value of a record.

OPTIONS
A summary of options is included below. For a complete description, see the file:///usr/share/doc/qdbm-doc/spex.html#hovelcli.

-qdbm [bnum dnum]
    use `gdbm_open2' to open the database. bnum specifies the number of the elements of the bucket array. dnum specifies the number of division of the database.

-s  make the file sparse.

-kx treat key as a binary expression of hexadecimal notation.

-vx treat val as a binary expression of hexadecimal notation.

-vf read the value from a file specified with val.

-insert
    specify the storing mode for `GDBM_INSERT'.

-ox treat the output as a binary expression of hexadecimal notation.

-n  do not output the trailing newline.

SEE ALSO
qdbm(3), hovel(3).

AUTHOR
QDBM was written by Mikio Hirabayashi <mikio@fallabs.com>.

This manual page was written by Fumitoshi UKAI <ukai@debian.or.jp>, for the Debian project (but may be used by others).